> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all discounts

> List all discounts for Sequence account



## OpenAPI

````yaml billing.2024-07-30.product.live GET /discounts
openapi: 3.0.0
info:
  title: Billing
  description: Manage Billing
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Billing Schedules
  - name: Prices
  - name: Credits
  - name: Discounts
paths:
  /discounts:
    servers: []
    parameters: []
    get:
      tags:
        - Discounts
      summary: List all discounts
      description: List all discounts for Sequence account
      operationId: getDiscounts
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.next` or `pagination.previous` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDiscountsResponse'
                example:
                  items:
                    - id: d58bf2e3-7a5d-4900-8457-2521c6880f7d
                      sequenceAccountId: 1986c663-9ee9-4811-bfbf-57d2ad666096
                      billingScheduleId: 08a76ddb-230e-4700-a5e2-70f6edaf7d50
                      phaseId: 220e1878-b70a-4dfd-9c55-7651424b12d6
                      priceIds:
                        - e007e884-5100-4183-8355-4771865cb4d7
                      separateLineItem: false
                      amount: 25
                      discountCalculationType: PERCENTAGE
                      message: Loyalty Discount
                      validFrom: '2023-01-01'
                      validTo: '2023-01-31'
                      createdAt: '2022-06-28T16:47:00Z'
                      updatedAt: '2022-06-28T16:47:00Z'
                      seatDiscountType: ALL_SEATS
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListDiscountsResponse:
                  summary: ''
                  value:
                    items:
                      - id: d58bf2e3-7a5d-4900-8457-2521c6880f7d
                        sequenceAccountId: 1986c663-9ee9-4811-bfbf-57d2ad666096
                        billingScheduleId: 08a76ddb-230e-4700-a5e2-70f6edaf7d50
                        phaseId: 220e1878-b70a-4dfd-9c55-7651424b12d6
                        priceIds:
                          - e007e884-5100-4183-8355-4771865cb4d7
                        separateLineItem: false
                        amount: 25
                        discountCalculationType: PERCENTAGE
                        message: Loyalty Discount
                        validFrom: '2023-01-01'
                        validTo: '2023-01-31'
                        createdAt: '2022-06-28T16:47:00Z'
                        updatedAt: '2022-06-28T16:47:00Z'
                        seatDiscountType: ALL_SEATS
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListDiscountsResponse:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: d58bf2e3-7a5d-4900-8457-2521c6880f7d
            sequenceAccountId: 1986c663-9ee9-4811-bfbf-57d2ad666096
            billingScheduleId: 08a76ddb-230e-4700-a5e2-70f6edaf7d50
            phaseId: 220e1878-b70a-4dfd-9c55-7651424b12d6
            priceIds:
              - e007e884-5100-4183-8355-4771865cb4d7
            separateLineItem: false
            amount: 25
            discountCalculationType: PERCENTAGE
            message: Loyalty Discount
            validFrom: '2023-01-01'
            validTo: '2023-01-31'
            createdAt: '2022-06-28T16:47:00Z'
            updatedAt: '2022-06-28T16:47:00Z'
            seatDiscountType: ALL_SEATS
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Discounts
          example:
            - id: d58bf2e3-7a5d-4900-8457-2521c6880f7d
              sequenceAccountId: 1986c663-9ee9-4811-bfbf-57d2ad666096
              billingScheduleId: 08a76ddb-230e-4700-a5e2-70f6edaf7d50
              phaseId: 220e1878-b70a-4dfd-9c55-7651424b12d6
              priceIds:
                - e007e884-5100-4183-8355-4771865cb4d7
              separateLineItem: false
              amount: 25
              discountCalculationType: PERCENTAGE
              message: Loyalty Discount
              validFrom: '2023-01-01'
              validTo: '2023-01-31'
              createdAt: '2022-06-28T16:47:00Z'
              updatedAt: '2022-06-28T16:47:00Z'
              seatDiscountType: ALL_SEATS
          items:
            $ref: '#/components/schemas/DiscountResponse'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    DiscountResponse:
      required:
        - amount
        - billingScheduleId
        - createdAt
        - discountCalculationType
        - id
        - message
        - priceIds
        - seatDiscountType
        - separateLineItem
        - sequenceAccountId
        - updatedAt
      type: object
      example:
        id: d58bf2e3-7a5d-4900-8457-2521c6880f7d
        sequenceAccountId: 1986c663-9ee9-4811-bfbf-57d2ad666096
        billingScheduleId: 08a76ddb-230e-4700-a5e2-70f6edaf7d50
        phaseId: 220e1878-b70a-4dfd-9c55-7651424b12d6
        priceIds:
          - e007e884-5100-4183-8355-4771865cb4d7
        separateLineItem: false
        amount: 25
        discountCalculationType: PERCENTAGE
        message: Loyalty Discount
        validFrom: '2023-01-01'
        validTo: '2023-01-31'
        createdAt: '2022-06-28T16:47:00Z'
        updatedAt: '2022-06-28T16:47:00Z'
        seatDiscountType: ALL_SEATS
      properties:
        id:
          type: string
          description: Discount ID
          example: d58bf2e3-7a5d-4900-8457-2521c6880f7d
        sequenceAccountId:
          type: string
          description: The Sequence Account to which this Discount belongs
          example: 1986c663-9ee9-4811-bfbf-57d2ad666096
        billingScheduleId:
          type: string
          description: Billing Schedule ID
          example: 08a76ddb-230e-4700-a5e2-70f6edaf7d50
        phaseId:
          type: string
          description: Phase ID
          example: 220e1878-b70a-4dfd-9c55-7651424b12d6
        priceIds:
          type: array
          description: >-
            Price IDs this discount applies to. If not populated, the discount
            applies to all prices on the billing schedule
          example:
            - e007e884-5100-4183-8355-4771865cb4d7
          items:
            type: string
        separateLineItem:
          type: boolean
          description: >-
            Indicates whether the discount should appear as a separate line item
            in the invoice
          example: false
        amount:
          type: number
          description: Amount to be reduced
          example: 25
        discountCalculationType:
          $ref: '#/components/schemas/DiscountCalculationType'
          description: Indicates whether the discount amount is percentage or nominal
        message:
          type: string
          description: Message to appear on the Invoice
          example: Loyalty Discount
        validFrom:
          type: string
          description: First Day Discount is Valid
          example: '2023-01-01'
        validTo:
          type: string
          description: Last Day Discount is Valid
          example: '2023-01-31'
        createdAt:
          type: string
          description: Created at
          example: '2022-06-28T16:47:00Z'
        updatedAt:
          type: string
          description: Updated At
          example: '2022-06-28T16:47:00Z'
        seatDiscountType:
          $ref: '#/components/schemas/SeatDiscountType'
          description: Determines how the discount is applied to any seat-based prices
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10
    DiscountCalculationType:
      type: string
      example: PERCENTAGE
      enum:
        - PERCENTAGE
        - NOMINAL
    SeatDiscountType:
      type: string
      example: ALL_SEATS
      enum:
        - INCLUDED_SEATS_ONLY
        - OVERAGE_SEATS_ONLY
        - ALL_SEATS

````